Monitoring - update Widget
Updates the widget properties or configuration
PUT http://<Servername>/OperationsManager/monitoring/widget/{widgetId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
widget
|
path | True |
string |
Specify the Widget ID |
Request Body
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Required | Type | Description |
|---|---|---|---|
| name | True |
string |
Name of Component |
| componentType |
string |
Component Type |
|
| config |
string |
Component Config |
|
| description |
string |
Description of Component |
|
| mpDescription |
string |
MP Description |
|
| mpId |
string |
Mp ID |
|
| mpName |
string |
MP name |
|
| mpVersion |
string |
MP Version |
|
| path |
string |
Path |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
boolean |
OK.Successfully updated the widget configuration. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Examples
Monitoring_updateWidget
Sample request
PUT http://<Servername>/OperationsManager/monitoring/widget/36d07f06-f74b-f820-9697-fc6dda6bce4e
{
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"path": "Monitoring",
"name": "test alert widget",
"description": "test",
"config": "{\"widgetDisplay\":{\"col\":1,\"row\":1,\"sizex\":6,\"sizey\":4,\"columns\":[\"severity\",\"monitoringobjectdisplayname\",\"name\",\"repeatcount\",\"lastmodified\"],\"groupByColumn\":\"nogrouping\",\"expandGroupByColumn\":false,\"sortByColumn\":\"nosorting\",\"sortOrder\":1,\"payload\":\"36d07f06-f74b-f820-9697-fc6dda6bce4e\",\"dragHandle\":\".draggable\",\"resizeHandle\":\".resizable\"},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[]},\"criteria\":{\"severities\":[\"0\",\"1\",\"2\"],\"priorities\":[\"0\",\"2\",\"1\"],\"resolutionStates\":[\"0\",\"247\",\"248\",\"249\",\"250\",\"254\",\"255\"],\"age\":7,\"ageTimeUnit\":\"days\"}},\"widgetRefreshInterval\":5}",
"componentType": "HtmlAlertWidget"
}
Sample response
[
"Ok"
]
Definitions
MonitoringComponentRequest
| Name | Type | Description |
|---|---|---|
| componentType |
string |
Component Type |
| config |
string |
Component Config |
| description |
string |
Description of Component |
| mpDescription |
string |
MP Description |
| mpId |
string |
Mp ID |
| mpName |
string |
MP name |
| mpVersion |
string |
MP Version |
| name |
string |
Name of Component |
| path |
string |
Path |